import React from "react";
import {Button, Space, Table, Tag} from "antd";

export const Pulsa = () => {
    const columns = [
        {
            title: "Kode",
            dataIndex: "kode",
            key: "kode",
        },
        {
            title: "Produk",
            dataIndex: "produk",
            key: "produk",
        },
        {
            title: "Harga Beli",
            dataIndex: "harga_beli",
            key: "harga_beli",
        },
        ,
        {
            title: "Harga Jual",
            dataIndex: "harga_jual",
            key: "harga_beli",
        },
        {
            title: "Gangguan",
            dataIndex: "gangguan",
            key: "gangguan",
        },
        {
            title: "Tersedia",
            dataIndex: "tersedia",
            key: "tersedia",
        },
        {
            title: "Action",
            key: "action",
            render: (text, record) => (
                <Space size="middle">
                    <Button>Edit</Button>
                    <Button>Delete</Button>
                </Space>
            ),
        },
    ];
    const dataSource = [
        {
            key: "1",
            kode: "BROP2",
            produk: "DATA AXIS 2GB-60HR",
            harga_beli: "Rp.10.000",
            harga_jual: "Rp.40.000",
            gangguan: <Tag color="processing">Active</Tag>,
            tersedia: <Tag color="processing">Ya</Tag>,
        },
        {
            key: "2",
            kode: "-",
            produk: "-",
            harga_beli: "-",
            harga_jual: "-",
            gangguan: <Tag color="#E3E8EE" style={{color: '#4F566B'}}>Gangguan</Tag>,
            tersedia: <Tag color="#E3E8EE" style={{color: '#4F566B'}}>Tidak</Tag>,
        },
        {
            key: "3",
            kode: "-",
            produk: "-",
            harga_beli: "-",
            harga_jual: "-",
            gangguan: <Tag color="processing">Active</Tag>,
            tersedia: <Tag color="processing">Ya</Tag>,
        },
        {
            key: "4",
            kode: "-",
            produk: "-",
            harga_beli: "-",
            harga_jual: "-",
            gangguan: <Tag color="processing">Active</Tag>,
            tersedia: <Tag color="processing">Ya</Tag>,
        }
    ];
    return (
        <div>
            <Table
                style={{textAlign: "center"}}
                columns={columns}
                dataSource={dataSource}
                bordered
                scroll={{x: 1500}}
            />
        </div>
    );
};
