import {UI} from "./ui";
import {Authentication} from "./authentication";
import {User} from "./user";
import {Membership} from "./membership";

export class Store {
    ui = new UI(this);
    authentication = new Authentication(this);
    user = new User(this);
    membership = new Membership(this);

    constructor() {
    }
}
